
{%for p in projets%}
    <div class="col-sm-12 col-md-4 col-lg-3">
        <div class="projet-container">
            <div style="height: 37px; padding: 10px">
                <div style="float: left"><i class="glyphicon glyphicon-map-marker"></i> {{p.artiste.pays|country(app.request.locale)}}</div>
                <div style="float: right">- <a style="color: black" href="{{path('main_projet_categorie', {'id': p.categorie.id})}}">{{p.categorie.libelle}}</a></div>
            </div>
            <div style="clear: both"></div>

            <a href="{{path('main_detail_projet', {'code':p.code})}}" style="color: white;" class="project-link">
                <div style="height: 130px; background-image: url('{{asset(p.photo.webPath)}}'); background-size: cover">
                    <div class="project-img-link" style="height: 100%; width: 100%; padding: 60px;">
                        <p style="font-family: RobotoRegular; text-transform: uppercase; text-align: center">{{p.artiste.nomArtiste}}</p>
                    </div>
                </div>
            </a>
            {%set sommeRecolte = 0%}
            {%for a in p.aSoutenus%}
                {%set sommeRecolte = sommeRecolte + a.montant%}
            {%endfor%}
            <div class="progress" style="border-radius: 0px; margin-bottom: 5px">
                <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="{{(100*(sommeRecolte/p.objectifFinancier))|round}}" aria-valuemin="0" aria-valuemax="100" style="width: {{(100*(sommeRecolte/p.objectifFinancier))|round}}%; text-align: right; color: black; font-family: RobotoRegular">
                    {{(100*(sommeRecolte/p.objectifFinancier))|round}}%
                </div>
            </div>
            <div style="height: 25px; padding: 5px">
                <p style="margin-bottom: 0px; text-align: center"><span style="font-family: RobotoRegular">{{p.titre}}</span></p>
            </div>
            <div style="height: 100px; padding: 5px; margin-bottom: 10px">
                <p style="font-size: 14px;">
                    {{p.description|slice(0, 150)}} {%if p.description|length<150%}...{%endif%}
                    <br/>
                    <a href="{{path('main_detail_projet', {'code':p.code})}}">Lire la suite</a>
                </p>
            </div>
            <div style="border-top: 1px solid #ccc">
                <div style="padding: 10px; text-align: center; float: left; height: 50px; border-right: 1px solid #ccc; width: 50%">
                    <div style="font-weight: bold">{{sommeRecolte|number_format(0, ',', ' ')}} F</div>
                    <div style="font-size: 12px">Collectés</div>
                </div>
                <div style="padding: 10px; text-align: center; float: right; height: 50px; width: 50%">
                    {% set difference = date(p.date|date_modify("+"~parameter.dureeVieProjet~" day")).diff(date('now'|date('Y-m-d H:i:s'))) %}
                    {% set leftDays = difference.days %}
                    <div style="font-weight: bold">{{ leftDays }} J</div>
                    <div style="font-size: 12px">Restant{% if leftDays > 1 %}s{% endif %}</div>
                </div>
                <div style="clear: both"></div>
            </div>
            <div style="height: 15px; text-align: center">
                <a href="{{path('main_detail_projet', {'code': p.code})}}" class="btn btn-default" style="background: #fa9d0b; border: none; border-radius: 0px; font-weight: bold">SOUTENIR</a>
            </div>
        </div>
    </div>
{%endfor%}
